# Contributing to Llama 3.2 Token Counter

We welcome contributions to the Llama 3.2 Token Counter project! Here are some guidelines to help you get started.

## Reporting Issues

If you encounter any bugs or have feature requests, please open an issue on the GitHub repository. When reporting issues, please provide as much detail as possible, including:

- A clear and descriptive title
- Steps to reproduce the issue
- Expected behavior
- Actual behavior
- Your environment (Python version, operating system, etc.)

## Submitting Pull Requests

1. Fork the repository and create your branch from `main`.
2. If you've added code that should be tested, add tests.
3. Ensure the test suite passes.
4. Make sure your code lints.
5. Issue that pull request!

## Coding Style

Please follow the PEP 8 style guide for Python code. Use type hints where appropriate.

## License

By contributing to Llama 3.2 Token Counter, you agree that your contributions will be licensed under its MIT License.